package de.fhw.swtvertiefung.knauf.security;

import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

/**
 * @author Wolfgang Knauf
 * 
 * Application-Client.
 */
public class SecurityClient
{

  /**
   * Main-Routine. Hier luft alles ab !
   * 
   * @param args
   */
  public static void main(String[] args)
  {
    Secured secured = null;
    try
    {
      InitialContext initialContext = new InitialContext();
      Object homeref = initialContext.lookup("java:comp/env/ejb/Secured");
      SecuredHome home = (SecuredHome) PortableRemoteObject.narrow(homeref, SecuredHome.class);
      secured = home.create();

    }
    catch (Exception ex)
    {
      System.out.println("INIT Failed (" + ex.getClass().getName() + "): " + ex.getMessage() + " ");
      return;
    }
    
    //Aufrufen der Methoden:
    System.out.println("Teste forAdminOnly.... ");
    try
    {
      secured.forAdminOnly();
      System.out.println("Success !");
    }
    catch (Exception ex)
    {
      System.out.println("Failed (" + ex.getClass().getName() + "): " + ex.getMessage() + " ");
    }

    System.out.println("Teste forStudentOnly.... ");
    try
    {
      secured.forStudentOnly();
      System.out.println("Success !");
    }
    catch (Exception ex)
    {
      System.out.println("Failed (" + ex.getClass().getName() + "): " + ex.getMessage() + " ");
    }

    System.out.println("Teste forBoth.... ");
    try
    {
      secured.forBoth();
      System.out.println("Success !");
    }
    catch (Exception ex)
    {
      System.out.println("Failed (" + ex.getClass().getName() + "): " + ex.getMessage() + " ");
    }

  }
}
